Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class Provider

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--java.security.Provider

Direct Known Subclasses:
  Cryptix

public abstract synchronized class Provider
extends java.util.Properties

See Also:
  Serialized Form

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`protected` | `Provider(String, double, String)`

Method Summary
`void` | `clear()`
`java.util.Set` | `entrySet()`
`String` | `getInfo()`
`String` | `getName()`
`double` | `getVersion()`
`java.util.Set` | `keySet()`
`void` | `load(java.io.InputStream)`
`Object` | `put(Object, Object)`
`void` | `putAll(java.util.Map)`
`Object` | `remove(Object)`
`String` | `toString()`
`java.util.Collection` | `values()`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clone, contains, containsKey, containsValue, elements, equals, get, hashCode, isEmpty, keys, rehash, size`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Provider

    protected Provider(String,
                       double,
                       String)

Method Detail

### clear

    public void clear()

  Overrides:
    clear in class java.util.Hashtable

### entrySet

    public java.util.Set entrySet()

  Overrides:
    entrySet in class java.util.Hashtable

### getInfo

    public String getInfo()

### getName

    public String getName()

### getVersion

    public double getVersion()

### keySet

    public java.util.Set keySet()

  Overrides:
    keySet in class java.util.Hashtable

### load

    public void load(java.io.InputStream)
              throws java.io.IOException

  Overrides:
    load in class java.util.Properties

### put

    public Object put(Object,
                      Object)

  Overrides:
    put in class java.util.Hashtable

### putAll

    public void putAll(java.util.Map)

  Overrides:
    putAll in class java.util.Hashtable

### remove

    public Object remove(Object)

  Overrides:
    remove in class java.util.Hashtable

### toString

    public String toString()

  Overrides:
    toString in class java.util.Hashtable

### values

    public java.util.Collection values()

  Overrides:
    values in class java.util.Hashtable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.